# Sensu Go ServiceNow Handler

The [Sensu Go][1] [ServiceNow][2] handler is a [Sensu Event Handler][3] that creates or updates a ServiceNow incident and/or event.

If a Configuration Item for the Sensu Entity doesn't exist in ServiceNow, this handler will create one automatically.

## Configuration

Example Sensu Go handler definition:

```json
{
    "api_version": "core/v2",
    "type": "Handler",
    "metadata": {
        "namespace": "default",
        "name": "servicenow"
    },
    "spec": {
        "type": "pipe",
        "command": "sensu-servicenow-handler -H mycompany.service-now.com -u sn_user -p sn_password -c cmdb_ci_server -i incident -e em_event -t 30",
        "timeout": 10,
        "filters": [
            "is_incident"
        ]
    }
}
```

## Usage examples

Help:

```
The Sensu Go handler for managing ServiceNow Configuration Items, Incidents, and Events

Usage:
  sensu-servicenow-handler [flags]

Flags:
  -c, --cmdbCiTable string     The Config CMDB CI table
  -e, --eventTable string      The Config event table
  -h, --help                   help for sensu-servicenow-handler
  -H, --host string            The Config host
  -i, --incidentTable string   The Config incident table
  -p, --password string        The Config password
  -t, --timeout uint           The HTTP timeout for the Config request (seconds)
  -u, --username string        The Config username
```

## Contributing

See https://github.com/sensu/sensu-go/blob/master/CONTRIBUTING.md

[1]: https://github.com/sensu/sensu-go
[2]: https://www.servicenow.com
[3]: https://docs.sensu.io/sensu-go/5.0/reference/handlers/#how-do-sensu-handlers-work
[4]: https://bitbucket.org/fguimond/sensu-servicenow-handler/src
